var DomWalker = require('./DomWalker');
var convert = require('./NodeConversions');
var Util = require('./Util');
module.exports = (function () {
    function Converter(parser) {
        this.parser = parser;
    }
    Converter.prototype.convert = function (html, options) {
        html = html.trim();
        return this.convertDomElement(this.parser.parse(html), options);
    };
    Converter.prototype.convertDomElement = function (htmlElement, options) {
        options = Util.assign({
            rawHtmlElements: ['div', 'table', 'td', 'tr', 'th', 'tbody', 'thead'],
            ignoredHtmlElements: ['custom-root', 'body'],
            interpretUnknownHtml: true
        }, options);
        var walker = new DomWalker(htmlElement);
        var conversion = convert({ domWalker: walker, options: options });
        return conversion;
    };
    return Converter;
})();
//# sourceMappingURL=Converter.js.map